Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class XMLParserHelper

    java.lang.Object
      |
      +--com.bea.wlpi.common.XMLParserHelper

public class XMLParserHelper
extends java.lang.Object

Provide a helper class for getting XML parser.

This helper class is used for getting proper XML parser. The methods in this class are all synchronized as the underlying factories are not thread safe.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`XMLParserHelper()`

Method Summary
`static javax.xml.parsers.DocumentBuilder` | `getDocumentBuilder()` Get an instance of DOM Parser.
`static javax.xml.parsers.DocumentBuilder` | `getDocumentBuilder(boolean bValidating)` Get an instance of DOM Parser with the specified validation mode.
`static javax.xml.parsers.SAXParser` | `getSAXParser()` Get an instance of SAX Parser.
`static javax.xml.transform.Templates` | `getTemplates(javax.xml.transform.URIResolver r, javax.xml.transform.Source source)` Get an instance of Templates
`static javax.xml.transform.Transformer` | `getTransformer()` Get an instance of Transformer.
`static javax.xml.transform.Transformer` | `getTransformer(javax.xml.transform.Source source)` Get an instance of Transformer.
`static javax.xml.transform.Transformer` | `getTransformer(javax.xml.transform.URIResolver r)` Get an instance of Transformer created from a `TransformerFactory` that uses a specific `URIResolver`.
`static javax.xml.transform.Transformer` | `getTransformer(javax.xml.transform.URIResolver r, javax.xml.transform.Source source)` Get an instance of Transformer that uses a specific `URIResolver` for the `TransformerFactory`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLParserHelper

    public XMLParserHelper()

Method Detail

### getSAXParser

    public static javax.xml.parsers.SAXParser getSAXParser()
                                                    throws javax.xml.parsers.ParserConfigurationException,
                                                           org.xml.sax.SAXException

  Get an instance of SAX Parser.

  Returns:
    an instance of SAX parser.
  Throws:
    javax.xml.parsers.ParserConfigurationException -

### getDocumentBuilder

    public static javax.xml.parsers.DocumentBuilder getDocumentBuilder()
                                                                throws javax.xml.parsers.ParserConfigurationException

  Get an instance of DOM Parser.

  Returns:
    an instance of DocumentBuilder.
  Throws:
    javax.xml.parsers.ParserConfigurationException -

### getDocumentBuilder

    public static javax.xml.parsers.DocumentBuilder getDocumentBuilder(boolean bValidating)
                                                                throws javax.xml.parsers.ParserConfigurationException

  Get an instance of DOM Parser with the specified validation mode.

  Parameters:
    `bValidating` - `true` to obtain a validating parser, `false` for a non-validating parser.
  Returns:
    an instance of DocumentBuilder.
  Throws:
    javax.xml.parsers.ParserConfigurationException -

### getTransformer

    public static javax.xml.transform.Transformer getTransformer()
                                                          throws javax.xml.transform.TransformerConfigurationException

  Get an instance of Transformer. The `TransformerFactory` uses the default `URIResolver` (i.e. `null`).

  Returns:
    an instance of Transformer.
  Throws:
    javax.xml.transform.TransformerConfigurationException -

### getTransformer

    public static javax.xml.transform.Transformer getTransformer(javax.xml.transform.URIResolver r)
                                                          throws javax.xml.transform.TransformerConfigurationException

  Get an instance of Transformer created from a `TransformerFactory` that uses a specific `URIResolver`.

  Parameters:
    `r` - a class implementing the `URIResolver` interface, may be `null` to specify default URI resolution.
  Returns:
    An instance of Transformer.
  Throws:
    javax.xml.transform.TransformerConfigurationException -

### getTransformer

    public static javax.xml.transform.Transformer getTransformer(javax.xml.transform.Source source)
                                                          throws javax.xml.transform.TransformerConfigurationException

  Get an instance of Transformer. The `TransformerFactory` uses the default `URIResolver` (i.e. `null`).

  Parameters:
    `source` - The XML source document.
  Returns:
    An instance of Transformer.
  Throws:
    javax.xml.transform.TransformerConfigurationException -

### getTransformer

    public static javax.xml.transform.Transformer getTransformer(javax.xml.transform.URIResolver r,
                                                                 javax.xml.transform.Source source)
                                                          throws javax.xml.transform.TransformerConfigurationException

  Get an instance of Transformer that uses a specific `URIResolver` for the `TransformerFactory`.

  Parameters:
    `r` - a class implementing the `URIResolver` interface, may be `null` to specify default URI resolution.
    `source` - The XML source document.
  Returns:
    An instance of Transformer.
  Throws:
    javax.xml.transform.TransformerConfigurationException -

### getTemplates

    public static javax.xml.transform.Templates getTemplates(javax.xml.transform.URIResolver r,
                                                             javax.xml.transform.Source source)
                                                      throws javax.xml.transform.TransformerConfigurationException

  Get an instance of Templates

  Parameters:
    `source` - The XML source document.
  Returns:
    An instance of Templates.
  Throws:
    javax.xml.transform.TransformerConfigurationException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)